org.codehaus.plexus.velocity

## Class DefaultVelocityComponent

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.velocity.DefaultVelocityComponent

All Implemented Interfaces:
  org.apache.velocity.runtime.log.LogChute, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, VelocityComponent

    public class DefaultVelocityComponent
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements VelocityComponent, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, org.apache.velocity.runtime.log.LogChute

A simple velocity component implementation.

A typical configuration will look like this:

          <configuration>
            <properties>
              <property>
                <name>resource.loader</name>
                <value>classpath</value>
              </property>
              <property>
                <name>classpath.resource.loader.class</name>
                <value>org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader</value>
              </property>
            </properties>
          </configuration>

### Field Summary

### Fields inherited from interface org.codehaus.plexus.velocity.VelocityComponent

`ROLE`

### Fields inherited from interface org.apache.velocity.runtime.log.LogChute

`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`DefaultVelocityComponent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.velocity.app.VelocityEngine` `getEngine()`
`void` `init(org.apache.velocity.runtime.RuntimeServices runtimeServices)`
`void` `initialize()`
`boolean` `isLevelEnabled(int level)`
`void` `log(int level, String message)`
`void` `log(int level, String message, Throwable t)`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultVelocityComponent

    public DefaultVelocityComponent()

### Method Detail

#### initialize

    public void initialize()
                    throws org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException

Specified by:
  `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`
Throws:
  `org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException`

#### getEngine

    public org.apache.velocity.app.VelocityEngine getEngine()

Specified by:
  `getEngine` in interface `VelocityComponent`

#### init

    public void init(org.apache.velocity.runtime.RuntimeServices runtimeServices)

Specified by:
  `init` in interface `org.apache.velocity.runtime.log.LogChute`

#### log

    public void log(int level,
                    String message)

Specified by:
  `log` in interface `org.apache.velocity.runtime.log.LogChute`

#### log

    public void log(int level,
                    String message,
                    Throwable t)

Specified by:
  `log` in interface `org.apache.velocity.runtime.log.LogChute`

#### isLevelEnabled

    public boolean isLevelEnabled(int level)

Specified by:
  `isLevelEnabled` in interface `org.apache.velocity.runtime.log.LogChute`